#include <bits/stdc++.h>
using namespace std;
string s, p;
int x=100, y=0, udaljenostx, udaljenosty;
int main(){
   cin >> s;
   for(int i=s.size()-1; i>=0; i--){
        p=p+s.substr(i, 1);
   }
   if(s==p){
        cout << 1 << endl;
   }
   else{
        for(int i=0; i<=s.size()-1; i++){
            if(s.substr(i, 1)=="b" and x==100){
                x=i;
            }
            if(s.substr(i, 1)=="b" and x!=100){
                y=i;
            }
        }
        udaljenostx=x+1;
        udaljenosty=s.size()-y;
        if(udaljenostx>udaljenosty){
            cout << udaljenostx-udaljenosty+1 << endl;
        }
        else{
            cout << udaljenosty-udaljenostx+1 << endl;
        }
   }
   return 0;
}